
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android中操作SQLite数据库快速入门教程_Android / iVAN</title>

    <meta name="description" content="Android中操作SQLite数据库快速入门教程_Android SQLite是Android平台软件开发中会经常用到的数据库产品,作为一款轻型数据库,SQLite的设计目标就是是嵌入式的,而且目前已经在很多嵌入式产品中使用了它,它占用资源非常的低,在嵌入式设备中,可能只需要几百K的内存就够.下面我们一起来看看针对Android平台的SQlite 3的使用. 以下概念都是在Android平台的SQlite限制下的理解: 数据库基础概念 1.SQlite 通过文件来保存数据库,一个文件就是一个数据库. 2.数据库里又包含数个表格: 3.每个表格里面包含了多个记录">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android中操作SQLite数据库快速入门教程_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>SQLite是Android平台软件开发中会经常用到的数据库产品，作为一款轻型数据库,SQLite的设计目标就是是嵌入式的，而且目前已经在很多嵌入式产品中使用了它，它占用资源非常的低，在嵌入式设备中，可能只需要几百K的内存就够。下面我们一起来看看针对Android平台的SQlite 3的使用。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MzE4OTU3NTYwODcucG5n.jpg"></p>
<p>以下概念都是在Android平台的SQlite限制下的理解：</p>
<p><strong>数据库基础概念</strong></p>
<p>1.SQlite 通过文件来保存数据库，一个文件就是一个数据库。<br />
2.数据库里又包含数个表格；<br />
3.每个表格里面包含了多个记录；<br />
4.每个记录由多个字段组成；<br />
5.每个字段都有其对应的值；<br />
6.每个值都可以指定类型。</p>
<p>数据库名称即文件名；表格有自己的名称；记录没有名称；每个字段都有名称。在SQlite中，记录没有顺序的概念，不存在第一、第二此类的概念；只能通过查询来获取满足条件的记录。我们通过执行SQL指令来操作数据库。</p>
<p><strong>Android平台下数据库相关类</strong></p>
<p>1.SQLiteOpenHelper 抽象类：通过从此类继承实现用户类，来提供数据库打开、关闭等操作函数。<br />
2.SQLiteDatabase 数据库访问类：执行对数据库的插入记录、查询记录等操作。<br />
3.SQLiteCursor 查询结构操作类：用来访问查询结果中的记录。</p>
<p><strong>创建数据库</strong></p>
<p>假设使用一个数据库存储一个表格，表格中保存了多条记录，每个记录包含3个字段，分别是： ID、name、age。 从SQLiteOpenHelper继承实现一个类，所有对数据库的操作都封装在此类中。</p>
<p>构造函数：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public DbHelper(Context context, String name, CursorFactory factory, int version) {  <br />
        super(context, name, factory, version);  <br />
    }</p>
<p>此函数中的参数name就是数据库名称，也就是数据库文件名； version则从1开始，当将来数据库的表格以及字段发生变化时，用户可以提高此version，从而触发onUpgrade()达到旧数据升级的效果。<br />
<br />在onCreate函数中创建表格：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public void onCreate(SQLiteDatabase db) {  <br />
    StringBuilder sql = new StringBuilder();  <br />
    sql.append("CREATE TABLE ");  <br />
    sql.append(TBL_NAME);  <br />
    sql.append(" (");  <br />
    sql.append(FIELD_ID + " TEXT PRIMARY KEY NOT NULL, ");  <br />
    sql.append(FIELD_NAME + " TEXT, ");  <br />
    sql.append(FIELD_AGE + " INTEGER");  <br />
    sql.append(");");  <br />
    db.execSQL(sql.toString());  <br />
}</p>
<p>onCreate函数只会在数据库第一次创建时调用，所以此处适合做一些数据库初始化操作。<br />
<br />上面的函数最终实际上效果是执行了SQL语句：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>CREATE TABLE mytable (id TEXT PRIMARY KEY NOT NULL, name TEXT, age INTEGER);</p>
<p><strong>向表格中添加数据</strong></p>
<p>有两种方式可以向表格中添加数据，一种是通过SQLiteDatabase提供的execSQL函数直接执行SQL指令； 一种是通过SQLiteDatabase提供的insert函数，此函数把SQL语句进行了封装方便用户使用。</p>
<p>1.通过execSQL(“INSERT INTO mytable VALUES(‘idStr', 'nameStr', 20);”);可以插入一条记录，当插入记录出错时会抛出异常需要处理。<br />
2.通过insert函数：insert函数需要一个ContentValues类型的值，此类型类似于hashmap，一个key，一个值配成一对。key就是字段名。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>ContentValues v = new ContentValues();<br />
 v.put("id", "101");<br />
 v.put("name", "user 101");<br />
 v.put("age", 44);<br />
 mDb.insert("mytable", "null", v);</p>
<p>如果v中的key没有完全的指定所有字段，比如少name或者少id，那么记录能否被成功插入要根据表格创建时的字段限制来决定， 比如少name，那么此记录会插入，只是name字段的值为NULL；如果少id，那么记录不会被插入，因为创建时指定了NOT NULL.</p>
<p>可以通过以下指令来查看结果：</p>
<p>adb shell执行后进入shell；</p>
<p>cd /data/data/cn.demo.sql</p>
<p>sqlite3 database.db 进入了sqlite操作界面。</p>
<p>.help可以看到命令帮助。</p>
<p>.dump 可以看到数据库中的数据。</p>
<p>为了方便使用，可以自定义一个insert函数，将值通过参数传入，而ContentValues设置则在函数内部实现。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public void insert(String id, String name, int age) {  <br />
if( mDb == null ) mDb = getWritableDatabase();  <br />
ContentValues v = new ContentValues();  <br />
v.put("id", id);  <br />
v.put("name", name);  <br />
if(age &gt; 0) v.put("age", age);  <br />
mDb.insert(TBL_NAME, "null", v);</p>
<p><strong>从表格中查询记录</strong></p>
<p>SQL语句：SELECT column list FROM table WHERE expr ORDER BY column list; 通过SQLiteDatabase类的query()函数：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>Cursor SQLiteDatabase.query(String table, <br />
String[] columns, String selection, String[] selectionArgs, <br />
String groupBy, String having, String orderBy);</p>
<p>Parameters:<br />
<br />table 要更新的记录所在的表名。<br />
values 要更新的字段值。<br />
whereClause Where子句。更新哪些记录。<br />
whereArgs Where子句中的'?'替换串。<br />
执行update操作时，如果只给部分字段赋值，那么update后，没有赋值的字段仍然保持原来的值不变。</p>
<p>从表格中删除记录：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>int SQLiteDatabase.delete(String table, String whereClause, String[] whereArgs);</p>
<p>从SQLite的整个创建和查询过程我们可以看出，在Android平台，由于SQLite的特性，一切以文件为主，没有顺序的概念。我们可以通过查询来得到满足条件的记录，通过SQL指令来操作数据库。此外，我们应该熟记Android平台操作SQLite的几个类：SQLiteOpenHelper抽象类、SQLiteDatabase数据库访问类以及SQLiteCursor 查询结构操作类。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 14:11:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/sqlite/" title="sqlite">sqlite</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android中操作SQLite数据库快速入门教程_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPQKOp.html" rel="bookmark">Android中操作SQLite数据库快速入门教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLite是Android平台软件开发中会经常用到的数据库产品,作为一款轻型数据库,SQLite的设计目标就是是嵌入式的,而且目前已经在很多嵌入式产品中使用了它,它占用资源非常的低,在嵌入式设备中,可能只需要几百K的内存就够.下面我们一起来看看针对Android平台的SQlite 3的使用. 以下概念都是在Android平台的SQlite限制下的理解: 数据库基础概念 1.SQlite 通过文件来保存数据库,一个文件就是一个数据库. 2.数据库里又包含数个表格: 3.每个表格里面包含了多个记录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJA8Dp.html" rel="bookmark">数据库快速入门教程--视频</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库快速入门教程--视频 下载地址:http://v.51work6.com/courseInfoRedirect.do?action=courseInfo&amp;courseId=240579 本课程是这个课程体系的核心之一,为软件开发人员所需数据库知识的学习教材,而不是培训一个DBA(数据库管理员),更具体的说是为Web开发程序员所需数据库知识的学习教材.基于培养程序员的目标,本课程对数据库和SQL语句的相关知识进行了深刻地阐明和分析,学习的重点是标准SQL语句的学习的掌握.常用数据库MySQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4RKlrM.html" rel="bookmark">Android中的SQLite数据库简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLite简介: SQLite是Android系统采用的一种开源的轻量级的关系型的数据库,Android中允许每个应用程序都拥有自己独立的数据库,每个应用程序的数据库的位置一般在/data/data/&lt;package_name&gt;/databases中.为了方便开发人员的使用,Android的API对增删查改实现了封装,通过SQLiteOpenHelper类可以方便的实现对数据库的创建和管理操作.不过正式的使用数据库之前,我们还要知道两个基本知识点. Content Values 和Curso			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Enoz.html" rel="bookmark">ASP&period;NET&lpar;C&num;&rpar;中操作SQLite数据库实例&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要想在ASP.NET项目中使用SQLite数据库,先需下载一个ADO.NET 2.0 SQLite Data Provider,下载地址为:http://sourceforge.net/project/showfiles.php?group_id=132486&amp;package_id=145568,下载后安装完毕后,该安装程序自动在在系统注册(即可在&quot;添加引用&quot;中看到所安装的Provider).               然后,在项目中添加上图所选项即可.      aspx页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPjLOz.html" rel="bookmark">Android中使用SQLite数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目源码下载 https://github.com/Wang-Jun-Chao/AndroidProjects SQLite数据库 轻量级关系型数据库 创建数据库需要使用的api:SQLiteOpenHelper 必须定义一个构造方法: //arg1:数据库文件的名字 //arg2:游标工厂 //arg3:数据库版本 public MyOpenHelper(Context context, String name, CursorFactory factory, int version){} 数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8YaXoz.html" rel="bookmark">Android中在SQLite数据库创建的触发器能跨数据库吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 比如有两个APK,第一个APK的数据库名为database1,有一张表table1,在第二个APK中有一个数据库database2,有一张表table2,其中table1和table2的结构是完全一样的,我想实现创建一个触发器,在向table1 insert一条记录的时候,通过触发器项table2插入一条相同的记录,这能实现吗?要怎么才能实现? 解决方案 触发器是一个数据库中的概念,没办法跨数据库,替代方案有Intent Broadcastrpc共享进程(这个方法请参考Phone和Te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1L08b.html" rel="bookmark">Android桌面组件App Widget用法入门教程&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android桌面组件App Widget用法.分享给大家供大家参考.具体如下: Android开发应用除了程序应用,还有App Widget应用.好多人会开发程序应用而不会开发App Widget应用.本帖子就是帮助大家学习如何开发App Widget应用的. 先简单说说App Widget的原理.App Widget是在桌面上的一块显示信息的东西,通过单击App Widget跳转到程序入口类.而系统自带的程序,典型的App Widget是music,这个Android内置的音乐			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QgNdM.html" rel="bookmark">使用OkHttp包在Android中进行HTTP头处理的教程&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTTP 头处理HTTP 头是 HTTP 请求和响应中的重要组成部分.在创建 HTTP 请求时需要设置一些 HTTP 头.在得到 HTTP 的响应之后,也会需要对其中包含的 HTTP 头进行解析.从代码的角度来说,HTTP 头的数据结构是 Map&lt;String, List&lt;String&gt;&gt;类型.也就是说,对于每个 HTTP 头,可能有多个值.但是大部分 HTTP 头都只有一个值,只有少部分 HTTP 头允许多个值.OkHttp 采用了简单的方式来区分这两种类型,使得对 HTTP 头			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlLkQM.html" rel="bookmark">Android编程之SQLite数据库操作方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android SQLite数据库操作方法.分享给大家供大家参考,具体如下: SQLite and Android SQLite简介 SQLite是一个非常流行的嵌入式数据库,它支持SQL语言,并且只利用很少的内存就有很好的性能.此外,它还是开源的,任何人都可以使用它. SQLite由以下几个组件组成:SQL编译器.内核.后端以及附件.SQLite通过利用虚拟机和虚拟数据库引擎(VDBE),使调试.修改和扩展SQLite的内核变得更加方便. SQLite支持的数据类型包括: 1.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PPlAM.html" rel="bookmark" class="title">如何用JavaScript实现一个Timeline</a>
					<div>
						这两天在忙着修饰自己部门的Team Site,老板提出了一个期望,想在Team Site首页上放一个Timeline,这样部门有什么新的事件.日程,都能在Timeline上展现出来.这件事本身并非特别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEkZ4b.html" rel="bookmark" class="title">ESFramework使用技巧（2） － 在插件中使用NHibernate</a>
					<div>
						我们来讨论一下这种情景,你采用基于ESFramework的4层架构进行应用开发,你分析用户的需求,并将其分类整理为几大块,考虑每一块使用一个功能插件来完成.在这几个插件中,有个插件需要访问某个数据库, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr15Zp.html" rel="bookmark" class="title">c&num;定义鼠标为指定的动画图标</a>
					<div>
						在Windows窗体中,通过设置控件的属性无法将鼠标设置为动画图标的形式,如果要实现该功能,可以通过API函数LoadCursorFromFile和SetClassLong实现.这两个函数的声明代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA9aWb.html" rel="bookmark" class="title">Fireworks制作美女背景的时钟动画</a>
					<div>
						  本教程叫你利用Fireworks,通过简单的几个步骤,制作漂亮的时钟指针动画,时钟的背景可以是美女的,也可以是你自己的. 先看看效果图 下面是教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnr3Dz.html" rel="bookmark" class="title">海豚浏览器怎么锁屏？</a>
					<div>
						  海豚浏览器怎么锁屏? 在8.4版本的海豚浏览器中,若您开启了手机的屏幕自动旋转,在转动屏幕时在海豚界面上会出现一个可爱的锁头按钮,您可以通过点击这个按钮来锁定或解锁屏幕;如下图:左图为开锁状态,该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6QdXz.html" rel="bookmark" class="title">win7 php环境搭建教程：win7下php环境搭建步骤详解</a>
					<div>
						  今天绿茶小编带给大家的是win7 php环境搭建教程,php新手如果不知道如何在win7下php环境搭建方法的话,那么接下来这篇文章就可以帮到你,步骤还是很详细的哦~ 以下是一些注意事项: 一.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm78Z1b.html" rel="bookmark" class="title">Win8系统如何用工具修改Win8字体</a>
					<div>
						喜欢美化系统的用户总是乐于把自己的界面效果做的与众不同,而更该系统字体就是其中常见的一个步骤,但在Win8系统中我们无法再像Win7一样在个性化的&quot;高级外观设置&quot;中修改系统字体了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1mPxb.html" rel="bookmark" class="title">win8系统如何添加微软输入法的方法</a>
					<div>
						  现在论起电脑输入法的种类,可谓是类型繁多,不论外界的第三方输入法,就连系统自带的输入法都层出不穷,用户最常使用的还是搜狗输入法.百度输入法等第三方输入法,但是现在系统自带的输入法受到了威胁,也在不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP80A1p.html" rel="bookmark" class="title">ESB</a>
					<div>
						ESB全称为Enterprise Service Bus,即企业服务总线.它是传统中间件技术与XML.Web服务等技术结合的产物.ESB提供了网络中最基本的连接中枢,是构筑企业神经系统的必要元素.ES ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB8nRz.html" rel="bookmark" class="title">除了打广告，商业WiFi公司还有哪些模式&quest;</a>
					<div>
						在固定互联网时代,入口是浏览器的导航站以及搜索栏,打下百度的辉煌;在移动互联网时代,被称之为入口有App store(应用的入口)和微信(社交和自媒体的入口),他们是助推了苹果和腾讯分别成为全球.亚洲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6BxDz.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;修改Android签名证书keystore的密码、别名alias以及别名密码</a>
					<div>
						转载于:http://blog.k-res.net/archives/1229.html  和 http://blog.k-res.net/archives/1671.html ADT允许自定义调试用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjZ8lp.html" rel="bookmark" class="title">Windows 10 版本信息</a>
					<div>
						原文 https://technet.microsoft.com/zh-cn/windows/release-info   Windows 10 版本信息 Microsoft 已更新其服务模型. 半年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl6Axb.html" rel="bookmark" class="title">RSA 2015会前的思考&colon;&OpenCurlyDoubleQuote;改变&rdquo;引发安全新思维</a>
					<div>
						2015 RSA信息安全大会将在4月20日于美国召开.作为信息安全界的一大盛会,RSA大会如同安全业界业务发展的风向标,是观察世界网络安全趋势的窗口.同时,大会云集的全球顶级的安全厂商也将展示出自己最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My37J8z.html" rel="bookmark" class="title">Hadoop大象之旅007-配置Hadoop伪分布模式</a>
					<div>
						Hadoop大象之旅007-配置Hadoop伪分布模式                                                          老帅    安装hadoop分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZNGKb.html" rel="bookmark" class="title">android 帧动画不显示-android   帧动画不显示大家帮我看看怎么个情况啊</a>
					<div>
						问题描述 android 帧动画不显示大家帮我看看怎么个情况啊 package com.example.animation; import android.os.Bundle; import andr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQVRVz.html" rel="bookmark" class="title">网站感悟、分析6：点评&rdquo;我爱打折网&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 受网友委托,点评一下&quot;我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE61EoM.html" rel="bookmark" class="title">MongoDB黑客赎金事件解读及防范</a>
					<div>
						直播回顾视频:https://yq.aliyun.com/edu/lesson/play/552 最近,全球互联网圈子内发生了一件大事:MongoDB数据库被黑事件,被黑掉的MongoDB数据库中所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z2JWM.html" rel="bookmark" class="title">java异常处理时抛出异常冲突问题</a>
					<div>
						问题描述 java异常处理时抛出异常冲突问题 在使用apache.common.net时自定义了一个异常,想在初始化方法时扑捉到异常后都抛出该异常,但是遇到了问题,代码如雪啊 private bool ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRymOb.html" rel="bookmark" class="title">SpringBoot JPA 专题</a>
					<div>
						   Error: Error starting ApplicationContext. To display the auto-configuration report re-run your ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBqlAb.html" rel="bookmark" class="title">线程-Java关于死循环创建对象释放内存的问题</a>
					<div>
						问题描述 Java关于死循环创建对象释放内存的问题 代码: while(true){ //2. Socket s = ss.accept(); // Thread updateThread = new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgj1qb.html" rel="bookmark" class="title">nofollow标签的实用技巧</a>
					<div>
						摘要: 正常情况下网站的权重应该是比较均衡的,既首页大于栏目页大于内容页,但是并非所有的网站都是这样,需要我们通过一定的站内链接去控制权重分配.另外,还可以通过nofollow标签 正常情况下网站的权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjKZxM.html" rel="bookmark" class="title">《C&num;多线程编程实战（原书第2版）》&mdash;&mdash;导读</a>
					<div>
						前 言 不久前,典型的个人计算机的CPU还只有一个计算核心,并且功耗足以煎熟鸡蛋.2005年,英特尔推出了其首款多核心CPU,从此计算机开始向不同的方向发展.低耗电量及多个计算核心变得比提高行计算(r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJaQRp.html" rel="bookmark" class="title">电子商务外包时代来临 上海威博协力传统企业出奇制胜</a>
					<div>
						从日发货量30件到500件需要用多长时间?据统计,懂经营的淘宝卖家大概需要2-3年,独立网商需要1-2年,而一家普通的创意数码产品商城仅在一个月内就完成了数量的飞跃,成为网友最喜欢的网购平台之一,注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm2vVp.html" rel="bookmark" class="title">面对企业网站超六成闲置的巨大市场</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 之前写过&lt;方正视觉:企业网站建设的SEO三大&quot;金科玉律&quot;&gt;大家反映很好,今天再来说说网站建设的事情.如今,企业有自己的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Oldb.html" rel="bookmark" class="title">20 万中国产 WiFi 摄像头曝漏洞，后门大开任由黑客进入</a>
					<div>
						     漏洞的根源来自于中国供货商 安全专家 Pierre Kim 表示,这家中国厂商提供商品的固件中就存在多个安全漏洞,导致其他公司在贴牌生产中依然保留了这些漏洞.根据调查,市面上大约有将近 12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWv65p.html" rel="bookmark" class="title">在用中学会能用的知识</a>
					<div>
						﻿﻿ [来信] 老师你好,我是一名物联网专业的大一学生,我的问题是学的很杂但最后感觉什么都没学似得(不会运用),就目前为止就C学完了,正在学的就有QT,C (学校正在开课),单片机,java想学的又有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7JX7p.html" rel="bookmark" class="title">同时执行多个音频文件</a>
					<div>
						问题描述 在一个窗体中在执行一个wav音频然后点击一个按钮在执行一个音频目的:让这两个同时执行,互不影响					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBKA8b.html" rel="bookmark" class="title">谁能帮我下载资源不？</a>
					<div>
						问题描述 由于我是新手,那资源分不足以下载我需要的书,所以求助你们能帮我下载那资源```OK吗?我实在没有办法了```谢谢! 解决方案 解决方案二:用可用分可以换资源分解决方案三:哦```可是我换的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7ne7p.html" rel="bookmark" class="title">asp&period;net c&num;&period;net Tcp socket 接收数据代码</a>
					<div>
						asp教程.net c#.net tcp socket 接收数据代码  //监听网络          public bool opennet(string sport)        {       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPB5Bp.html" rel="bookmark" class="title">智慧城市PPP发展路上惑与解 节能环保行业获益几何？</a>
					<div>
						公私合营模式(Public-Private-Partnership,缩写PPP),是指政府与私人组织之间,为了提供某种公共物品和服务,以特许权协议为基础,彼此之间形成的一种伙伴式合作关系,通过签署合同 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
